Linux install isaacsim python package error

pip install isaacsim==4.0.0.0 --extra-index-url https://pypi.nvidia.com

Looking in indexes: Simple index, https://pypi.nvidia.com
Collecting isaacsim==4.0.0.0
Using cached isaacsim-4.0.0.0.tar.gz (761 bytes)
Installing build dependencies … done
Getting requirements to build wheel … done
Preparing metadata (pyproject.toml) … error
error: subprocess-exited-with-error

× Preparing metadata (pyproject.toml) did not run successfully.
│ exit code: 1
╰─> [51 lines of output]
File “/tmp/pip-build-env-0y0zlog0/overlay/lib/python3.10/site-packages/nvidia_stub/wheel.py”, line 147, in download_wheel
return download_manual(wheel_directory, distribution, version)
File “/tmp/pip-build-env-0y0zlog0/overlay/lib/python3.10/site-packages/nvidia_stub/wheel.py”, line 114, in download_manual
raise RuntimeError(f"Didn’t find wheel for {distribution} {version}“)
Traceback (most recent call last):
File “/tmp/pip-build-env-0y0zlog0/overlay/lib/python3.10/site-packages/nvidia_stub/wheel.py”, line 147, in download_wheel
return download_manual(wheel_directory, distribution, version)
File “/tmp/pip-build-env-0y0zlog0/overlay/lib/python3.10/site-packages/nvidia_stub/wheel.py”, line 114, in download_manual
raise RuntimeError(f"Didn’t find wheel for {distribution} {version}”)
RuntimeError: Didn’t find wheel for isaacsim 4.0.0.0

  During handling of the above exception, another exception occurred:
  
  Traceback (most recent call last):
    File "/home/biorobotics/miniconda3/envs/env_isaacsim/lib/python3.10/site-packages/pip/_vendor/pyproject_hooks/_in_process/_in_process.py", line 353, in <module>
      main()
    File "/home/biorobotics/miniconda3/envs/env_isaacsim/lib/python3.10/site-packages/pip/_vendor/pyproject_hooks/_in_process/_in_process.py", line 335, in main
      json_out['return_val'] = hook(**hook_input['kwargs'])
    File "/home/biorobotics/miniconda3/envs/env_isaacsim/lib/python3.10/site-packages/pip/_vendor/pyproject_hooks/_in_process/_in_process.py", line 152, in prepare_metadata_for_build_wheel
      whl_basename = backend.build_wheel(metadata_directory, config_settings)
    File "/tmp/pip-build-env-0y0zlog0/overlay/lib/python3.10/site-packages/nvidia_stub/buildapi.py", line 29, in build_wheel
      return download_wheel(pathlib.Path(wheel_directory), config_settings)
    File "/tmp/pip-build-env-0y0zlog0/overlay/lib/python3.10/site-packages/nvidia_stub/wheel.py", line 149, in download_wheel
      report_install_failure(distribution, version, exception_context)
    File "/tmp/pip-build-env-0y0zlog0/overlay/lib/python3.10/site-packages/nvidia_stub/error.py", line 63, in report_install_failure
      raise InstallFailedError(
  nvidia_stub.error.InstallFailedError:
  *******************************************************************************
  
  The installation of isaacsim for version 4.0.0.0 failed.
  
  This is a special placeholder package which downloads a real wheel package
  from https://pypi.nvidia.com. If https://pypi.nvidia.com is not reachable, we
  cannot download the real wheel file to install.
  
  You might try installing this package via
  ```
  $ pip install --extra-index-url https://pypi.nvidia.com isaacsim
  ```
  
  Here is some debug information about your platform to include in any bug
  report:
  
  Python Version: CPython 3.10.14
  Operating System: Linux 5.15.0-107-generic
  CPU Architecture: x86_64
  Driver Version: 535.171
  CUDA Version: 12.2
  
  *******************************************************************************
  
  [end of output]

note: This error originates from a subprocess, and is likely not a problem with pip.
error: metadata-generation-failed

× Encountered error while generating package metadata.
╰─> See above for output.

note: This is an issue with the package mentioned above, not pip.
hint: See above for details.